ru.yandex.clickhouse.response

## Class ClickHouseResponse

- java.lang.Object
- - ru.yandex.clickhouse.response.ClickHouseResponse

    public class ClickHouseResponse
    extends Object

Object for jackson for ClickHouse response

### Nested Class Summary

Nested Classes
`static class` `ClickHouseResponse.Extremes`
`static class` `ClickHouseResponse.Meta`

### Constructor Summary

Constructors
Constructor and Description
`ClickHouseResponse()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<List<String>>` `getData()`
`ClickHouseResponse.Extremes` `getExtremes()`
`List<ClickHouseResponse.Meta>` `getMeta()`
`int` `getRows_before_limit_at_least()`
`int` `getRows()`
`List<String>` `getTotals()`
`void` `setData(List<List<String>> data)`
`void` `setExtremes(ClickHouseResponse.Extremes extremes)`
`void` `setMeta(List<ClickHouseResponse.Meta> meta)`
`void` `setRows_before_limit_at_least(int rows_before_limit_at_least)`
`void` `setRows(int rows)`
`void` `setTotals(List<String> totals)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClickHouseResponse

    public ClickHouseResponse()

### Method Detail

#### getExtremes

    public ClickHouseResponse.Extremes getExtremes()

#### setExtremes

    public void setExtremes(ClickHouseResponse.Extremes extremes)

#### getMeta

    public List<ClickHouseResponse.Meta> getMeta()

#### setMeta

    public void setMeta(List<ClickHouseResponse.Meta> meta)

#### getData

    public List<List<String>> getData()

#### setData

    public void setData(List<List<String>> data)

#### getRows

    public int getRows()

#### setRows

    public void setRows(int rows)

#### getRows_before_limit_at_least

    public int getRows_before_limit_at_least()

#### setRows_before_limit_at_least

    public void setRows_before_limit_at_least(int rows_before_limit_at_least)

#### getTotals

    public List<String> getTotals()

#### setTotals

    public void setTotals(List<String> totals)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`